Package weka.core.pmml.jaxbbindings

# Class PredictiveModelQuality

java.lang.Object
weka.core.pmml.jaxbbindings.PredictiveModelQuality

public class PredictiveModelQuality extends Object

Java class for PredictiveModelQuality element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="PredictiveModelQuality">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ConfusionMatrix" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}LiftData" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ROC" minOccurs="0"/>
             </sequence>
             <attribute name="AIC" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="AICc" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="BIC" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="adj-r-squared" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="dataName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="dataUsage" default="training">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="training"/>
                   <enumeration value="test"/>
                   <enumeration value="validation"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="degreesOfFreedom" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="fStatistic" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="meanAbsoluteError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="meanError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="meanSquaredError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="numOfPredictors" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="numOfRecords" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="numOfRecordsWeighted" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="r-squared" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="rootMeanSquaredError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="sumSquaredError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="sumSquaredRegression" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="targetField" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PredictiveModelQuality()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getAdjRSquared()`
  Gets the value of the adjRSquared property.
  `Double`
  `getAIC()`
  Gets the value of the aic property.
  `Double`
  `getAICc()`
  Gets the value of the aiCc property.
  `Double`
  `getBIC()`
  Gets the value of the bic property.
  `ConfusionMatrix`
  `getConfusionMatrix()`
  Gets the value of the confusionMatrix property.
  `String`
  `getDataName()`
  Gets the value of the dataName property.
  `String`
  `getDataUsage()`
  Gets the value of the dataUsage property.
  `Double`
  `getDegreesOfFreedom()`
  Gets the value of the degreesOfFreedom property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getFStatistic()`
  Gets the value of the fStatistic property.
  `LiftData`
  `getLiftData()`
  Gets the value of the liftData property.
  `Double`
  `getMeanAbsoluteError()`
  Gets the value of the meanAbsoluteError property.
  `Double`
  `getMeanError()`
  Gets the value of the meanError property.
  `Double`
  `getMeanSquaredError()`
  Gets the value of the meanSquaredError property.
  `Double`
  `getNumOfPredictors()`
  Gets the value of the numOfPredictors property.
  `Double`
  `getNumOfRecords()`
  Gets the value of the numOfRecords property.
  `Double`
  `getNumOfRecordsWeighted()`
  Gets the value of the numOfRecordsWeighted property.
  `ROC`
  `getROC()`
  Gets the value of the roc property.
  `Double`
  `getRootMeanSquaredError()`
  Gets the value of the rootMeanSquaredError property.
  `Double`
  `getRSquared()`
  Gets the value of the rSquared property.
  `Double`
  `getSumSquaredError()`
  Gets the value of the sumSquaredError property.
  `Double`
  `getSumSquaredRegression()`
  Gets the value of the sumSquaredRegression property.
  `String`
  `getTargetField()`
  Gets the value of the targetField property.
  `void`
  `setAdjRSquared(Double value)`
  Sets the value of the adjRSquared property.
  `void`
  `setAIC(Double value)`
  Sets the value of the aic property.
  `void`
  `setAICc(Double value)`
  Sets the value of the aiCc property.
  `void`
  `setBIC(Double value)`
  Sets the value of the bic property.
  `void`
  `setConfusionMatrix(ConfusionMatrix value)`
  Sets the value of the confusionMatrix property.
  `void`
  `setDataName(String value)`
  Sets the value of the dataName property.
  `void`
  `setDataUsage(String value)`
  Sets the value of the dataUsage property.
  `void`
  `setDegreesOfFreedom(Double value)`
  Sets the value of the degreesOfFreedom property.
  `void`
  `setFStatistic(Double value)`
  Sets the value of the fStatistic property.
  `void`
  `setLiftData(LiftData value)`
  Sets the value of the liftData property.
  `void`
  `setMeanAbsoluteError(Double value)`
  Sets the value of the meanAbsoluteError property.
  `void`
  `setMeanError(Double value)`
  Sets the value of the meanError property.
  `void`
  `setMeanSquaredError(Double value)`
  Sets the value of the meanSquaredError property.
  `void`
  `setNumOfPredictors(Double value)`
  Sets the value of the numOfPredictors property.
  `void`
  `setNumOfRecords(Double value)`
  Sets the value of the numOfRecords property.
  `void`
  `setNumOfRecordsWeighted(Double value)`
  Sets the value of the numOfRecordsWeighted property.
  `void`
  `setROC(ROC value)`
  Sets the value of the roc property.
  `void`
  `setRootMeanSquaredError(Double value)`
  Sets the value of the rootMeanSquaredError property.
  `void`
  `setRSquared(Double value)`
  Sets the value of the rSquared property.
  `void`
  `setSumSquaredError(Double value)`
  Sets the value of the sumSquaredError property.
  `void`
  `setSumSquaredRegression(Double value)`
  Sets the value of the sumSquaredRegression property.
  `void`
  `setTargetField(String value)`
  Sets the value of the targetField property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PredictiveModelQuality

    public PredictiveModelQuality()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getConfusionMatrix

    public ConfusionMatrix getConfusionMatrix()
    Gets the value of the confusionMatrix property.
    Returns:
      possible object is `ConfusionMatrix`

  - ### setConfusionMatrix

    public void setConfusionMatrix(ConfusionMatrix value)
    Sets the value of the confusionMatrix property.
    Parameters:
      `value` - allowed object is `ConfusionMatrix`

  - ### getLiftData

    public LiftData getLiftData()
    Gets the value of the liftData property.
    Returns:
      possible object is `LiftData`

  - ### setLiftData

    public void setLiftData(LiftData value)
    Sets the value of the liftData property.
    Parameters:
      `value` - allowed object is `LiftData`

  - ### getROC

    public ROC getROC()
    Gets the value of the roc property.
    Returns:
      possible object is `ROC`

  - ### setROC

    public void setROC(ROC value)
    Sets the value of the roc property.
    Parameters:
      `value` - allowed object is `ROC`

  - ### getAIC

    public Double getAIC()
    Gets the value of the aic property.
    Returns:
      possible object is `Double`

  - ### setAIC

    public void setAIC(Double value)
    Sets the value of the aic property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAICc

    public Double getAICc()
    Gets the value of the aiCc property.
    Returns:
      possible object is `Double`

  - ### setAICc

    public void setAICc(Double value)
    Sets the value of the aiCc property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getBIC

    public Double getBIC()
    Gets the value of the bic property.
    Returns:
      possible object is `Double`

  - ### setBIC

    public void setBIC(Double value)
    Sets the value of the bic property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAdjRSquared

    public Double getAdjRSquared()
    Gets the value of the adjRSquared property.
    Returns:
      possible object is `Double`

  - ### setAdjRSquared

    public void setAdjRSquared(Double value)
    Sets the value of the adjRSquared property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getDataName

    public String getDataName()
    Gets the value of the dataName property.
    Returns:
      possible object is `String`

  - ### setDataName

    public void setDataName(String value)
    Sets the value of the dataName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDataUsage

    public String getDataUsage()
    Gets the value of the dataUsage property.
    Returns:
      possible object is `String`

  - ### setDataUsage

    public void setDataUsage(String value)
    Sets the value of the dataUsage property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDegreesOfFreedom

    public Double getDegreesOfFreedom()
    Gets the value of the degreesOfFreedom property.
    Returns:
      possible object is `Double`

  - ### setDegreesOfFreedom

    public void setDegreesOfFreedom(Double value)
    Sets the value of the degreesOfFreedom property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getFStatistic

    public Double getFStatistic()
    Gets the value of the fStatistic property.
    Returns:
      possible object is `Double`

  - ### setFStatistic

    public void setFStatistic(Double value)
    Sets the value of the fStatistic property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMeanAbsoluteError

    public Double getMeanAbsoluteError()
    Gets the value of the meanAbsoluteError property.
    Returns:
      possible object is `Double`

  - ### setMeanAbsoluteError

    public void setMeanAbsoluteError(Double value)
    Sets the value of the meanAbsoluteError property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMeanError

    public Double getMeanError()
    Gets the value of the meanError property.
    Returns:
      possible object is `Double`

  - ### setMeanError

    public void setMeanError(Double value)
    Sets the value of the meanError property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMeanSquaredError

    public Double getMeanSquaredError()
    Gets the value of the meanSquaredError property.
    Returns:
      possible object is `Double`

  - ### setMeanSquaredError

    public void setMeanSquaredError(Double value)
    Sets the value of the meanSquaredError property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getNumOfPredictors

    public Double getNumOfPredictors()
    Gets the value of the numOfPredictors property.
    Returns:
      possible object is `Double`

  - ### setNumOfPredictors

    public void setNumOfPredictors(Double value)
    Sets the value of the numOfPredictors property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getNumOfRecords

    public Double getNumOfRecords()
    Gets the value of the numOfRecords property.
    Returns:
      possible object is `Double`

  - ### setNumOfRecords

    public void setNumOfRecords(Double value)
    Sets the value of the numOfRecords property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getNumOfRecordsWeighted

    public Double getNumOfRecordsWeighted()
    Gets the value of the numOfRecordsWeighted property.
    Returns:
      possible object is `Double`

  - ### setNumOfRecordsWeighted

    public void setNumOfRecordsWeighted(Double value)
    Sets the value of the numOfRecordsWeighted property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRSquared

    public Double getRSquared()
    Gets the value of the rSquared property.
    Returns:
      possible object is `Double`

  - ### setRSquared

    public void setRSquared(Double value)
    Sets the value of the rSquared property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRootMeanSquaredError

    public Double getRootMeanSquaredError()
    Gets the value of the rootMeanSquaredError property.
    Returns:
      possible object is `Double`

  - ### setRootMeanSquaredError

    public void setRootMeanSquaredError(Double value)
    Sets the value of the rootMeanSquaredError property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getSumSquaredError

    public Double getSumSquaredError()
    Gets the value of the sumSquaredError property.
    Returns:
      possible object is `Double`

  - ### setSumSquaredError

    public void setSumSquaredError(Double value)
    Sets the value of the sumSquaredError property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getSumSquaredRegression

    public Double getSumSquaredRegression()
    Gets the value of the sumSquaredRegression property.
    Returns:
      possible object is `Double`

  - ### setSumSquaredRegression

    public void setSumSquaredRegression(Double value)
    Sets the value of the sumSquaredRegression property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getTargetField

    public String getTargetField()
    Gets the value of the targetField property.
    Returns:
      possible object is `String`

  - ### setTargetField

    public void setTargetField(String value)
    Sets the value of the targetField property.
    Parameters:
      `value` - allowed object is `String`